<?php

namespace Lc\CaracoleBundle\Container\Reduction;

use Lc\CaracoleBundle\Factory\Reduction\ReductionCartFactory;
use Lc\CaracoleBundle\Repository\Reduction\ReductionCartRepositoryQuery;
use Lc\CaracoleBundle\Repository\Reduction\ReductionCartStore;

class ReductionCartContainer
{
    protected ReductionCartFactory $factory;
    protected ReductionCartRepositoryQuery $repositoryQuery;
    protected ReductionCartStore $store;

    public function __construct(
            ReductionCartFactory $factory,
            ReductionCartRepositoryQuery $repositoryQuery,
            ReductionCartStore $store
    ) {
        $this->factory = $factory;
        $this->repositoryQuery = $repositoryQuery;
        $this->store = $store;
    }

    public function getFactory(): ReductionCartFactory
    {
        return $this->factory;
    }

    public function getRepositoryQuery(): ReductionCartRepositoryQuery
    {
        return $this->repositoryQuery;
    }

    public function getStore(): ReductionCartStore
    {
        return $this->store;
    }

}